Same issue as bug 378192, only with ff 2.0.0.3/win32, and workaround doesn't work.

RESOLVED DUPLICATE of bug 369221

Status

()

Firefox
Installer
--
major
RESOLVED DUPLICATE of bug 369221
11 years ago
11 years ago

People

(Reporter: P Nienaber, Unassigned)

Tracking

2.0 Branch
x86
Windows Vista
Points:
---

Firefox Tracking Flags

(Not tracked)

Details

(Reporter)

Description

11 years ago
User-Agent:       Mozilla/5.0 (Macintosh; U; PPC Mac OS X Mach-O; en-US; rv:1.8.1.3) Gecko/20070309 Firefox/2.0.0.3
Build Identifier: 

See and/or reopen bug 378192.

Reproducible: Always

Steps to Reproduce:
1.  Install FF 2.0.0.3 on the Vista machine in question
2.
3.
Actual Results:  
Can't open firefox.  Error as given in other bug.
do you get the same error message or do you get the error message "The program must close to allow a previous installation attempt to complete"

can you try to do the following steps from http://kb.mozillazine.org/Browser_will_not_start_up#.22The_program_must_close_to_allow_a_previous_installation_attempt_to_complete._Please_restart..22
from "The program must close to allow a previous installation attempt to complete. Please restart" and ""Error opening file for writing..." on Vista" ?



Version: unspecified → 2.0 Branch
(Reporter)

Comment 2

11 years ago
I get both.  I've yet to get it to start, and any reinstallation attempts without first removing xpicleanup.exe result in the message given in the other bug.  It's a client's machine; I'll have her try the fix, and if that fails I'll go test it myself.
The installer portion of this bug should now be fixed on the trunk by the checkin of bug 369221.

As for the first run error that would be a Product=Core Component=XPInstall Installer bug
Status: UNCONFIRMED → RESOLVED
Last Resolved: 11 years ago
Resolution: --- → DUPLICATE
Duplicate of bug: 369221
You need to log in before you can comment on or make changes to this bug.